summaryrefslogtreecommitdiff
path: root/bin/mw
diff options
context:
space:
mode:
authorLuke Smith <luke@lukesmith.xyz>2019-06-01 22:13:06 -0400
committerLuke Smith <luke@lukesmith.xyz>2019-06-01 22:13:06 -0400
commit7c1da4d16873b03890490e9fbef18d0f27e56c79 (patch)
treec74486412fcd47bffb5e2c392c62cb783200fb4f /bin/mw
parentbd3818ff11b48b73a8065a13f26b5551cf07e896 (diff)
compat for PASSWORD_STORE_DIR
Diffstat (limited to 'bin/mw')
-rwxr-xr-xbin/mw5
1 files changed, 3 insertions, 2 deletions
diff --git a/bin/mw b/bin/mw
index c69a147..610b8c4 100755
--- a/bin/mw
+++ b/bin/mw
@@ -1,7 +1,8 @@
#!/bin/sh
command -V gpg >/dev/null 2>&1 && GPG="gpg" || GPG="gpg2"
-[ -r "$HOME/.password-store/.gpg-id" ] &&
- "$GPG" --list-secret-keys $(cat "$HOME/.password-store/.gpg-id") >/dev/null 2>&1 || {
+[ -z ${PASSWORD_STORE_DIR+x} ] && PASSWORD_STORE_DIR="$HOME/.password-store"
+[ -r "$PASSWORD_STORE_DIR/.gpg-id" ] &&
+ "$GPG" --list-secret-keys $(cat "$PASSWORD_STORE_DIR/.gpg-id") >/dev/null 2>&1 || {
printf "\`pass\` must be installed and initialized to encrypt passwords.\\nBe sure it is installed and run \`pass init <yourgpgemail>\`.\\nIf you don't have a GPG public private key pair, run \`$GPG --full-gen-key\` first.\\n"
exit
}